package it.cavallium.strangedb.tests.performance;

import it.cavallium.strangedb.java.objects.lists.ListQuery;
import it.cavallium.strangedb.java.objects.lists.ValuePointer;
import it.cavallium.strangedb.java.objects.lists.operations.ContainsIgnoreCase;
import it.cavallium.strangedb.tests.Performance;
import it.cavallium.strangedb.tests.query.EFormattedText;
import it.cavallium.strangedb.tests.query.EMessage;
import it.cavallium.strangedb.tests.query.EMessageText;

import java.io.IOException;
import java.util.ArrayList;

public class PerformanceListQueryTest {

	public static void test(Performance.PreloadedListContainer preloadedListContainer) throws IOException {
		ListQuery query = ListQuery.create(
						ValuePointer.ofField(EMessage.class, "content").field(EMessageText.class, "text").field(EFormattedText.class, "text"),
						ContainsIgnoreCase.containsValue("text to find"));
		ArrayList<EMessage> results = preloadedListContainer.listOfMessages.query(query).asList();
	}
}
