package it.cavallium.strangedb.tests.query;

import it.cavallium.strangedb.java.annotations.DbDataType;
import it.cavallium.strangedb.java.annotations.DbField;
import it.cavallium.strangedb.java.database.IDatabaseTools;

import java.io.IOException;

public class EMessageText extends EMessageContent {

	/**
	 * Text of the message.
	 */
	@DbField(id = 0, type = DbDataType.ENHANCED_OBJECT, name = "text")
	public EFormattedText text;
	/**
	 * A preview of the web page that's mentioned in the text; may be null.
	 */
	@DbField(id = 1, type = DbDataType.OBJECT, name = "webPage")
	public Object webPage;

	@Deprecated
	public EMessageText() {

	}

	public EMessageText(IDatabaseTools tools, EFormattedText text) throws IOException {
		super(tools);
		this.text = text;
	}
}
