package it.cavallium.strangedb.java.objects;

public class EnhancedObjectIndices {
	public final long objectUid;
	public final long[] fieldUids;
	public final long[] propertyUids;
	public final long nativeDataUid;
	public final Class<? extends EnhancedObject> type;

	public EnhancedObjectIndices(Class<? extends EnhancedObject> type, long objectUid, long[] fieldUids, long[] propertyUids, long nativeDataUid) {
		this.type = type;
		this.objectUid = objectUid;
		this.fieldUids = fieldUids;
		this.propertyUids = propertyUids;
		this.nativeDataUid = nativeDataUid;
	}
}
