package it.cavallium.strangedb.java.objects.lists;

import it.cavallium.strangedb.functionalinterfaces.ConsumerWithIO;

import java.io.IOException;

interface ElementsList<T> {
	T get(int index) throws IOException;
	void forEachParallelUnsorted(ConsumerWithIO<T> action) throws IOException;
	void add(T value) throws IOException;
	void update(int index, T value) throws IOException;
	void set(int index, T value) throws IOException;
	void add(int index, T value) throws IOException;
	T getLast() throws IOException;
	boolean isEmpty();
	int size();
}
