package it.cavallium.strangedb.tests.query;

import it.cavallium.strangedb.java.annotations.DbDataType;
import it.cavallium.strangedb.java.annotations.DbField;
import it.cavallium.strangedb.java.database.IDatabaseTools;

import java.io.IOException;

public class EFormattedText extends EMessageContent {

	/**
	 * The text.
	 */
	@DbField(id = 0, type = DbDataType.OBJECT, name = "text")
	public String text;
	/**
	 * Entities contained in the text.
	 */
	@DbField(id = 1, type = DbDataType.OBJECT, name = "entities")
	public String[] entities;

	@Deprecated
	public EFormattedText() {

	}

	public EFormattedText(IDatabaseTools tools, String text, String[] entities) throws IOException {
		super(tools);
		this.text = text;
		this.entities =entities;
	}
}
